TCGETSID(3P)

NAME
tcgetsid - get the process group ID for the session leader for the controlling terminal

SYNOPSIS

#include <termios.h>

pid_t tcgetsid(int fildes);

DESCRIPTION

The tcgetsid() function shall obtain the process group ID of the session for which the terminal specified by fildes is the controlling terminal.

RETURN VALUE

Upon successful completion, tcgetsid() shall return the process group ID associated with the terminal. Otherwise, a value of (pid_t)-1 shall be returned and errno set to indicate the error.

ERRORS

The tcgetsid() function shall fail if:

EBADF
    The fildes argument is not a valid file descriptor.

ENOTTY
    The calling process does not have a controlling terminal, or the file is not the controlling terminal.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

The Base Definitions volume of IEEE Std 1003.1-2001, <termios.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .